Skip to main content

ipsync is a Python 3 package template.

Project description

ipsync

“A script to update DDNS”

Build Status
Coverage Status
Scrutinizer Code Quality
PyPI Version
PyPI Downloads

Getting Started

Requirements

  • Python 2.7+ or Python 3.3+
  • libyaml-devel

Installation

ipsync can be installed with pip:

$ pip install ipsync

or directly from the source code:

$ git clone https://github.com/jon-walton/ipsync.git
$ cd ipsync
$ python setup.py install

Basic Usage

For Contributors

Installation

Create a virtualenv:

$ make env

Run the tests:

$ make test
$ make tests  # includes integration tests

Build the documentation:

$ make doc

Run static analysis:

$ make pep8
$ make pep257
$ make pylint
$ make check  # includes all checks

Prepare a release:

$ make dist  # dry run
$ make upload

Changelog

0.0.0 (2013/10/09)

  • <Change the version, date, and this text.>

Project details


Supported by

AWS AWS Cloud computing Datadog Datadog Monitoring DigiCert DigiCert EV certificate Facebook / Instagram Facebook / Instagram PSF Sponsor Fastly Fastly CDN Google Google Object Storage and Download Analytics Microsoft Microsoft PSF Sponsor Pingdom Pingdom Monitoring Salesforce Salesforce PSF Sponsor Sentry Sentry Error logging StatusPage StatusPage Status page